require("Script.函数.功能函数")
require("Script.函数.模块函数")
require("Script.函数.任务函数")
require("Script.函数.异界")
require("Script.函数.全局")
require("Script.函数.静态成员")

重新加载("Script.函数.功能函数")
重新加载("Script.函数.模块函数")
重新加载("Script.函数.任务函数")
重新加载("Script.函数.异界")
重新加载("Script.函数.全局")


--




L加载配置_一体化()
local 返回一次藏身处=1
local _城镇事件不处理=0
local 使用一次Esc=1
local _前往混沌仓库=0
while	To(100)==1		do 
	local 地图Ptr=L地图信息()
	local _缺少地图="缺少地图"
	if	L进入游戏()==0			then --
		L信息("正在进入游戏中....")
		goto Next
	end
	if 使用一次Esc==1		then 
		LEsc()
		使用一次Esc=0
	end


	if 地图Ptr.位置==0	 then
		--收到大号提示地图完成
		D重置状态()
		L重置指定事件计数(_缺少地图)
		g回城优先存仓一次=0
		L搜索路口()
		if 	Fn_检查当前角色是否已过试炼()==0		then 
			if	L地图是否完成()~=0			then -- 
				L返回城镇()
			end
			goto Next
		end 
		if 地图Ptr.地图名称~=G混沌試煉		then 
			Fn_前往混沌试炼(地图Ptr)
			goto Next
		end
	
	
		Q_混沌试炼()

			
		L异界是否完成()


		L关闭反击()

		if	L地图是否完成()~=0			then -- 
			L信息("当前执行: => 地图探索完成...")
			if Fn_返回神殿()==0		then 
				if Q_前往异界BOSS复活点回城()==1		then 
					L返回城镇()
				end
			end

			goto Next
		else 
		
		
		end
		--Fn_前往指定地图(G混沌試煉,"混沌试炼石门")	
		
		L设置探索地图(探索类型.异界刷图)
		goto Next


	else 

		if Fn_使用物品("儀式知識之書")==1			then --
			L信息("成功使用知识之书...自动学习祭坛天赋")
			L延时(2000)
		end 

		g全局记录变量.全局记录还未清空=1

		L关闭地图探索()
		if 地图Ptr.位置==2			then --
			返回一次藏身处=1
			if G交易完返回自己藏身处==0 and L自身藏身处()==0			then --
				L返回藏身处()
				
			end
		end 

		if 地图Ptr.位置==3	or 地图Ptr.位置==1			then --
			--if 返回一次藏身处==0		then 
				if L执行间隔("返回藏身处间隔",12*1000)==1	then 
					L信息("返回藏身处")
					L选择藏身处()
				end
		
			--end 
		end
		local _升华剩余点=L升华天赋点()
		if _升华剩余点>0		then 
			L信息("当前职业已成功转职..切换到一体化脚本...")
			Fn_剧情完成后根据常规设置切换配置及脚本(G一体化脚本)
			goto Next
		end 

		if 地图Ptr.位置==4	and _前往混沌仓库==1	then 

			if L寻路(357,461)==1		then 
				_前往混沌仓库=0
			end 
			goto Next
		end 
	
		if Fn_读取仓库信息()==0 then
			-- body
			L信息("当前正在读取仓库信息")
			_前往混沌仓库=1
			goto Next
		end

		if g常规设置.公会仓库页最大读取页数>0	and	Fn_读取公会仓库信息()==0 then
			-- body
			L信息("当前正在读取公会仓库信息")
			_前往混沌仓库=1
			goto Next
		end

		

	
	
	
		if	L倒货状态()==0 and Fn_包满回城()==1			then --
			D重置状态()
			L信息("需要处理背包...")
			_城镇事件不处理=1
		end



		if g回城优先存仓一次==0 			then --
			if  Fn_处理存仓()==1	then 
				L信息("优先存入符合存仓且不想鉴定的物品...")
				goto Next
			end
		end 
		
		g回城优先存仓一次=1

		if	Fn_藏身处物品处理()==1			then --
			if 地图Ptr.位置==4		then
		
				L返回藏身处()
			end
			L信息("藏身处物品处理")
			goto Next
		end



		L重置所有事件计数()
		L关闭地图探索(1)
		L关闭反击(1)
		if 	Fn_检查当前角色是否已过试炼()==0		then 
			goto Next
		end 
		Fn_前往混沌试炼(地图Ptr)
		Q_混沌试炼()
	

	end


::Next::
	L设置探索地图(1)
end

